summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
authorBlackNoxis <steven.darklight@gmail.com>2015-08-27 04:49:35 +0300
committerBlackNoxis <steven.darklight@gmail.com>2015-08-27 04:49:35 +0300
commitb5aa2fc1ce3a4884039c806ea78810926e36656b (patch)
tree1ebe180782794be9bb4e707f6865f45b6c16dbe7 /sys-apps
parentce48c1f77e902db0d66439a25fd454bcfb15c5b8 (diff)
[lsb-release] adaugat versiunea corecta de lsb-release
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/lsb-release/Manifest1
-rw-r--r--sys-apps/lsb-release/files/lsb-release-kogaion-version.patch12
-rw-r--r--sys-apps/lsb-release/lsb-release-1.4.ebuild38
-rw-r--r--sys-apps/lsb-release/metadata.xml19
4 files changed, 70 insertions, 0 deletions
diff --git a/sys-apps/lsb-release/Manifest b/sys-apps/lsb-release/Manifest
new file mode 100644
index 00000000..12d1a231
--- /dev/null
+++ b/sys-apps/lsb-release/Manifest
@@ -0,0 +1 @@
+DIST lsb-release-1.4.tar.gz 10769 SHA256 99321288f8d62e7a1d485b7c6bdccf06766fb8ca603c6195806e4457fdf17172 SHA512 84f6f8794380463587005043f601b7a40190cd9e3409abff7f5ce7658cf029a14346eff87838296d90307192bdeff68cc00480c5c04814da7acdb3e220640fde WHIRLPOOL e8e322f3d5fddf589ae1cdc97d143da907aad418ab6099f79e90e988450a3304c58d483e2ba8c80a9a7093f73af515e6c66a1c33881681bef2da70a35c31c28d
diff --git a/sys-apps/lsb-release/files/lsb-release-kogaion-version.patch b/sys-apps/lsb-release/files/lsb-release-kogaion-version.patch
new file mode 100644
index 00000000..a28d13a6
--- /dev/null
+++ b/sys-apps/lsb-release/files/lsb-release-kogaion-version.patch
@@ -0,0 +1,12 @@
+diff -Nurp lsb-release-1.4.orig/lsb_release lsb-release-1.4/lsb_release
+--- lsb-release-1.4.orig/lsb_release 2000-12-15 08:19:16.000000000 +0100
++++ lsb-release-1.4/lsb_release 2013-02-07 13:57:00.085819790 +0100
+@@ -47,7 +47,7 @@ INFO_LSB_FILE="lsb-release"
+ INFO_DISTRIB_SUFFIX="release" # <distrib>-<suffix>
+ ALTERNATE_DISTRIB_FILE="/etc/debian_version" # for Debian [based distrib]
+ ALTERNATE_DISTRIB_NAME="Debian" # "
+-CHECKFIRST="/etc/redhat-release" # check it before file search
++CHECKFIRST="/etc/kogaion-release" # check it before file search
+
+ # Defines our exit codes
+ EXIT_STATUS="0" # default = Ok :)
diff --git a/sys-apps/lsb-release/lsb-release-1.4.ebuild b/sys-apps/lsb-release/lsb-release-1.4.ebuild
new file mode 100644
index 00000000..7c89bf7c
--- /dev/null
+++ b/sys-apps/lsb-release/lsb-release-1.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Sabayon
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils
+
+DESCRIPTION="LSB version query program"
+HOMEPAGE="http://www.linuxbase.org/"
+SRC_URI="mirror://sourceforge/lsb/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86"
+IUSE=""
+
+# Perl isn't needed at runtime, it is just used to generate the man page.
+DEPEND="dev-lang/perl"
+RDEPEND=""
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${S}"
+ epatch "${FILESDIR}/${PN}-kogaion-version.patch"
+}
+
+src_install() {
+ emake \
+ prefix="${D}/usr" \
+ mandir="${D}/usr/share/man" \
+ install \
+ || die "emake install failed"
+
+ mkdir -p "${D}/etc"
+ cat > "${D}/etc/lsb-release" <<- EOF
+ DISTRIB_ID="Kogaion"
+ EOF
+}
diff --git a/sys-apps/lsb-release/metadata.xml b/sys-apps/lsb-release/metadata.xml
new file mode 100644
index 00000000..6886884e
--- /dev/null
+++ b/sys-apps/lsb-release/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>jer@gentoo.org</email>
+ <name>Jeroen Roovers</name>
+ </maintainer>
+ <longdescription lang="en">
+ This program forms part of the required functionality of
+ the LSB (Linux Standard Base) specification.
+
+ The program queries the installed state of the distribution
+ to display certain properties such as the version of the
+ LSB against which the distribution claims compliance as
+ well. It can also attempt to display the name and release
+ of the distribution along with an identifier of who produces
+ the distribution.
+ </longdescription>
+</pkgmetadata>